/* Text Styles */
hr { color: #000000 }
body, table, tr, th /* Normal */
{
 font-size: 7px;
 font-family: Verdana,Geneva,Arial,sans-serif;
 font-style: normal;
 font-weight: normal;
 color: #000000;
 text-decoration: none;
}
span.f_CodeExample, strong.f_CodeExample, em.f_CodeExample /* Code Example */
{
 font-size: 12px;
 font-family: 'Courier New',Courier,monospace;
}
span.f_Comment, strong.f_Comment, em.f_Comment /* Comment */
{
}
span.f_Heading1, strong.f_Heading1, em.f_Heading1 /* Heading1 */
{
 font-family: Arial,Helvetica,sans-serif;
 font-weight: bold;
}
span.f_Heading2, strong.f_Heading2, em.f_Heading2 /* Heading2 */
{
 font-weight: bold;
}
span.f_Heading3, strong.f_Heading3, em.f_Heading3 /* Heading3 */
{
 font-weight: bold;
}
span.f_Heading4, strong.f_Heading4, em.f_Heading4 /* Heading4 */
{
 font-weight: bold;
}
span.f_ImageCaption, strong.f_ImageCaption, em.f_ImageCaption /* Image Caption */
{
 font-size: 11px;
 font-weight: bold;
}
span.f_Notes, strong.f_Notes, em.f_Notes /* Notes */
{
}
span.f_sndc_Centered, strong.f_sndc_Centered, em.f_sndc_Centered /* sndc_Centered */
{
}
span.f_sndc_code, strong.f_sndc_code, em.f_sndc_code /* sndc_code */
{
 font-size: 5px;
 font-family: Consolas;
 color: #000066;
}
span.f_sndc_Code_Example_identifier, strong.f_sndc_Code_Example_identifier, em.f_sndc_Code_Example_identifier /* sndc_Code_Example_identifier */
{
 font-size: 5px;
 font-family: Consolas;
 color: #000066;
}
span.f_sndc_Code_Example_keyword, strong.f_sndc_Code_Example_keyword, em.f_sndc_Code_Example_keyword /* sndc_Code_Example_keyword */
{
 font-size: 5px;
 font-family: Consolas;
 color: #871f78;
}
span.f_sndc_Code_Example_message, strong.f_sndc_Code_Example_message, em.f_sndc_Code_Example_message /* sndc_Code_Example_message */
{
 font-size: 5px;
 font-family: Consolas;
 color: #000066;
}
span.f_sndc_Code_Example_nolink, strong.f_sndc_Code_Example_nolink, em.f_sndc_Code_Example_nolink /* sndc_Code_Example_nolink */
{
 font-size: 5px;
 font-family: Consolas;
 font-weight: bold;
 color: #000066;
}
span.f_sndc_Code_Example_nu, strong.f_sndc_Code_Example_nu, em.f_sndc_Code_Example_nu /* sndc_Code_Example_nu */
{
 font-size: 5px;
 font-family: Consolas;
 color: #000066;
}
span.f_sndc_Code_Example_parameter, strong.f_sndc_Code_Example_parameter, em.f_sndc_Code_Example_parameter /* sndc_Code_Example_parameter */
{
 font-size: 5px;
 font-family: Consolas;
 font-style: italic;
 color: #000066;
}
span.f_sndc_copycode, strong.f_sndc_copycode, em.f_sndc_copycode /* sndc_copycode */
{
}
span.f_sndc_descriptioncolumn, strong.f_sndc_descriptioncolumn, em.f_sndc_descriptioncolumn /* sndc_descriptioncolumn */
{
 color: #000066;
}
span.f_sndc_exceptionconditioncolumn, strong.f_sndc_exceptionconditioncolumn, em.f_sndc_exceptionconditioncolumn /* sndc_exceptionconditioncolumn */
{
 font-weight: bold;
}
span.f_sndc_exceptionnamecolumn, strong.f_sndc_exceptionnamecolumn, em.f_sndc_exceptionnamecolumn /* sndc_exceptionnamecolumn */
{
 font-weight: bold;
}
span.f_sndc_Heading, strong.f_sndc_Heading, em.f_sndc_Heading /* sndc_Heading */
{
 font-weight: bold;
}
span.f_sndc_Heading1_heading, strong.f_sndc_Heading1_heading, em.f_sndc_Heading1_heading /* sndc_Heading1_heading */
{
}
span.f_sndc_Heading4_subheading, strong.f_sndc_Heading4_subheading, em.f_sndc_Heading4_subheading /* sndc_Heading4_subheading */
{
}
span.f_sndc_iconcolumn, strong.f_sndc_iconcolumn, em.f_sndc_iconcolumn /* sndc_iconcolumn */
{
 color: #000066;
}
span.f_sndc_identifier, strong.f_sndc_identifier, em.f_sndc_identifier /* sndc_identifier */
{
 color: #000066;
}
span.f_sndc_Image_Caption, strong.f_sndc_Image_Caption, em.f_sndc_Image_Caption /* sndc_Image_Caption */
{
}
span.f_sndc_italic, strong.f_sndc_italic, em.f_sndc_italic /* sndc_italic */
{
 font-style: italic;
}
span.f_sndc_Jump_1, strong.f_sndc_Jump_1, em.f_sndc_Jump_1 /* sndc_Jump_1 */
{
}
span.f_sndc_Jump_2, strong.f_sndc_Jump_2, em.f_sndc_Jump_2 /* sndc_Jump_2 */
{
}
span.f_sndc_keyword, strong.f_sndc_keyword, em.f_sndc_keyword /* sndc_keyword */
{
 color: #871f78;
}
span.f_sndc_Keywords, strong.f_sndc_Keywords, em.f_sndc_Keywords /* sndc_Keywords */
{
}
span.f_sndc_languagespecifictext, strong.f_sndc_languagespecifictext, em.f_sndc_languagespecifictext /* sndc_languagespecifictext */
{
}
span.f_sndc_List, strong.f_sndc_List, em.f_sndc_List /* sndc_List */
{
}
span.f_sndc_members, strong.f_sndc_members, em.f_sndc_members /* sndc_members */
{
}
span.f_sndc_message, strong.f_sndc_message, em.f_sndc_message /* sndc_message */
{
}
span.f_sndc_namecolumn, strong.f_sndc_namecolumn, em.f_sndc_namecolumn /* sndc_namecolumn */
{
 color: #000066;
}
span.f_sndc_nolink, strong.f_sndc_nolink, em.f_sndc_nolink /* sndc_nolink */
{
 font-weight: bold;
 color: #000066;
}
span.f_sndc_Normal_members, strong.f_sndc_Normal_members, em.f_sndc_Normal_members /* sndc_Normal_members */
{
}
span.f_sndc_Normal_preliminary, strong.f_sndc_Normal_preliminary, em.f_sndc_Normal_preliminary /* sndc_Normal_preliminary */
{
}
span.f_sndc_Normal_section, strong.f_sndc_Normal_section, em.f_sndc_Normal_section /* sndc_Normal_section */
{
}
span.f_sndc_Normal_seealsostyle, strong.f_sndc_Normal_seealsostyle, em.f_sndc_Normal_seealsostyle /* sndc_Normal_seealsostyle */
{
}
span.f_sndc_Normal_summary, strong.f_sndc_Normal_summary, em.f_sndc_Normal_summary /* sndc_Normal_summary */
{
}
span.f_sndc_nsrtitle, strong.f_sndc_nsrtitle, em.f_sndc_nsrtitle /* sndc_nsrtitle */
{
 font-weight: bold;
}
span.f_sndc_nu, strong.f_sndc_nu, em.f_sndc_nu /* sndc_nu */
{
}
span.f_sndc_parameter, strong.f_sndc_parameter, em.f_sndc_parameter /* sndc_parameter */
{
 font-style: italic;
}
span.f_sndc_permissiondescriptioncolumn, strong.f_sndc_permissiondescriptioncolumn, em.f_sndc_permissiondescriptioncolumn /* sndc_permissiondescriptioncolumn */
{
 font-weight: bold;
}
span.f_sndc_permissionnamecolumn, strong.f_sndc_permissionnamecolumn, em.f_sndc_permissionnamecolumn /* sndc_permissionnamecolumn */
{
 font-weight: bold;
}
span.f_sndc_preliminary, strong.f_sndc_preliminary, em.f_sndc_preliminary /* sndc_preliminary */
{
 color: #333333;
}
span.f_sndc_runningheadertext, strong.f_sndc_runningheadertext, em.f_sndc_runningheadertext /* sndc_runningheadertext */
{
}
span.f_sndc_section, strong.f_sndc_section, em.f_sndc_section /* sndc_section */
{
}
span.f_sndc_seealsostyle, strong.f_sndc_seealsostyle, em.f_sndc_seealsostyle /* sndc_seealsostyle */
{
}
span.f_sndc_selflink, strong.f_sndc_selflink, em.f_sndc_selflink /* sndc_selflink */
{
 font-weight: bold;
}
span.f_sndc_Subheading, strong.f_sndc_Subheading, em.f_sndc_Subheading /* sndc_Subheading */
{
 font-weight: bold;
}
span.f_sndc_summary, strong.f_sndc_summary, em.f_sndc_summary /* sndc_summary */
{
}
span.f_sndc_typeparam, strong.f_sndc_typeparam, em.f_sndc_typeparam /* sndc_typeparam */
{
 font-style: italic;
}
span.f_sndc_typeparameter, strong.f_sndc_typeparameter, em.f_sndc_typeparameter /* sndc_typeparameter */
{
 font-style: italic;
}
span.f_sndc_valuecolumn, strong.f_sndc_valuecolumn, em.f_sndc_valuecolumn /* sndc_valuecolumn */
{
 font-size: 5px;
 font-weight: bold;
 color: #000066;
}
/* Paragraph styles */
p, p.p_Normal, div.p_Normal, li.p_Normal /* Normal */
{
 text-align: left;
 text-indent: 0;
 padding: 0 0 0 0;
 margin: 0 0 3px 0;
}
.p_CodeExample /* Code Example */
{
 font-size: 12px;
 line-height: 1.0;
 white-space: nowrap;
 page-break-inside: avoid;
 margin: 0 0 0 0;
}
.p_Comment /* Comment */
{
 font-size: 7px;
}
.p_Heading1 /* Heading1 */
{
 font-size: 100%;
 font-weight: normal;
 text-align: left;
 text-indent: 0;
 padding: 0 0 0 0;
 margin: 18px 0 8px 0;
}
.p_Heading2 /* Heading2 */
{
 font-size: 100%;
 font-weight: normal;
 text-align: left;
 text-indent: 0;
 padding: 0 0 0 0;
 margin: 18px 0 8px 0;
}
.p_Heading3 /* Heading3 */
{
 font-size: 100%;
 font-weight: normal;
 text-align: left;
 text-indent: 0;
 padding: 0 0 0 0;
 margin: 0 0 8px 0;
}
.p_Heading4 /* Heading4 */
{
 font-size: 100%;
 font-weight: normal;
 text-align: left;
 text-indent: 0;
 padding: 0 0 0 0;
 margin: 0 0 8px 0;
}
.p_ImageCaption /* Image Caption */
{
 font-size: 11px;
}
.p_Notes /* Notes */
{
 font-size: 7px;
}
.p_sndc_Centered /* sndc_Centered */
{
 font-size: 7px;
 text-align: center;
}
.p_sndc_code /* sndc_code */
{
 font-size: 5px;
}
.p_sndc_Code_Example_identifier /* sndc_Code_Example_identifier */
{
 font-size: 5px;
}
.p_sndc_Code_Example_keyword /* sndc_Code_Example_keyword */
{
 font-size: 5px;
}
.p_sndc_Code_Example_message /* sndc_Code_Example_message */
{
 font-size: 5px;
}
.p_sndc_Code_Example_nolink /* sndc_Code_Example_nolink */
{
 font-size: 5px;
}
.p_sndc_Code_Example_nu /* sndc_Code_Example_nu */
{
 font-size: 5px;
}
.p_sndc_Code_Example_parameter /* sndc_Code_Example_parameter */
{
 font-size: 5px;
}
.p_sndc_copycode /* sndc_copycode */
{
 font-size: 7px;
}
.p_sndc_descriptioncolumn /* sndc_descriptioncolumn */
{
 font-size: 7px;
}
.p_sndc_exceptionconditioncolumn /* sndc_exceptionconditioncolumn */
{
 font-size: 7px;
}
.p_sndc_exceptionnamecolumn /* sndc_exceptionnamecolumn */
{
 font-size: 7px;
}
.p_sndc_Heading /* sndc_Heading */
{
 font-size: 7px;
 margin: 18px 0 8px 0;
}
.p_sndc_Heading1_heading /* sndc_Heading1_heading */
{
 font-size: 7px;
 margin: 18px 0 0 0;
}
.p_sndc_Heading4_subheading /* sndc_Heading4_subheading */
{
 font-size: 7px;
 margin: 18px 0 4px 0;
}
.p_sndc_iconcolumn /* sndc_iconcolumn */
{
 font-size: 7px;
}
.p_sndc_identifier /* sndc_identifier */
{
 font-size: 7px;
}
.p_sndc_Image_Caption /* sndc_Image_Caption */
{
 font-size: 7px;
}
.p_sndc_italic /* sndc_italic */
{
 font-size: 7px;
}
.p_sndc_Jump_1 /* sndc_Jump_1 */
{
 font-size: 7px;
}
.p_sndc_Jump_2 /* sndc_Jump_2 */
{
 font-size: 7px;
}
.p_sndc_keyword /* sndc_keyword */
{
 font-size: 7px;
}
.p_sndc_Keywords /* sndc_Keywords */
{
 font-size: 7px;
}
.p_sndc_languagespecifictext /* sndc_languagespecifictext */
{
 font-size: 7px;
}
.p_sndc_List /* sndc_List */
{
 font-size: 7px;
}
.p_sndc_members /* sndc_members */
{
 font-size: 7px;
 margin: 5px 0 5px 0;
}
.p_sndc_message /* sndc_message */
{
 font-size: 7px;
}
.p_sndc_namecolumn /* sndc_namecolumn */
{
 font-size: 7px;
}
.p_sndc_nolink /* sndc_nolink */
{
 font-size: 7px;
}
.p_sndc_Normal_members /* sndc_Normal_members */
{
 font-size: 7px;
 margin: 0 0 5px 0;
}
.p_sndc_Normal_preliminary /* sndc_Normal_preliminary */
{
 font-size: 7px;
 margin: 11px 0 11px 0;
}
.p_sndc_Normal_section /* sndc_Normal_section */
{
 font-size: 7px;
 margin: 0 0 8px 0;
}
.p_sndc_Normal_seealsostyle /* sndc_Normal_seealsostyle */
{
 font-size: 7px;
}
.p_sndc_Normal_summary /* sndc_Normal_summary */
{
 font-size: 7px;
 margin: 0 0 8px 0;
}
.p_sndc_nsrtitle /* sndc_nsrtitle */
{
 font-size: 7px;
 margin: 0 0 8px 0;
}
.p_sndc_nu /* sndc_nu */
{
 font-size: 7px;
}
.p_sndc_parameter /* sndc_parameter */
{
 font-size: 7px;
}
.p_sndc_permissiondescriptioncolumn /* sndc_permissiondescriptioncolumn */
{
 font-size: 7px;
}
.p_sndc_permissionnamecolumn /* sndc_permissionnamecolumn */
{
 font-size: 7px;
}
.p_sndc_preliminary /* sndc_preliminary */
{
 font-size: 7px;
}
.p_sndc_runningheadertext /* sndc_runningheadertext */
{
 font-size: 7px;
}
.p_sndc_section /* sndc_section */
{
 font-size: 7px;
}
.p_sndc_seealsostyle /* sndc_seealsostyle */
{
 font-size: 7px;
 margin: 5px 0 0 0;
}
.p_sndc_selflink /* sndc_selflink */
{
 font-size: 7px;
}
.p_sndc_Subheading /* sndc_Subheading */
{
 font-size: 7px;
 margin: 0 0 8px 0;
}
.p_sndc_summary /* sndc_summary */
{
 font-size: 7px;
}
.p_sndc_typeparam /* sndc_typeparam */
{
 font-size: 7px;
}
.p_sndc_typeparameter /* sndc_typeparameter */
{
 font-size: 7px;
}
.p_sndc_valuecolumn /* sndc_valuecolumn */
{
 font-size: 5px;
}
/* Table styles */
div.hmrotate90  { display:inline-block; -webkit-writing-mode: vertical-rl; -ms-writing-mode: tb-rl; writing-mode: vertical-rl; }
div.hmrotate270 { display:inline-block; -webkit-writing-mode: vertical-rl; -ms-writing-mode: tb-rl; writing-mode: vertical-rl; transform: rotate(180deg); }

a.imagetogglelink {
  position: relative;
  display: inline-block;
}
svg.image-toggle-magnifier { /* Magnifier icon for image toggles */
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  margin: auto;
  width: 40pt;
  height: 40pt;
  max-width: 80%;
  max-height: 80%;
  fill: #FFFFFF;
  stroke: #808080;
  stroke-width: 0.5pt;
  opacity: 0.3;
  transition: opacity 0.3s;
}
img.image-toggle:hover + svg.image-toggle-magnifier, svg.image-toggle-magnifier:hover {
  opacity: 1;
}



#hmpopupdiv /* used for javascript text popups */
{
  display: none;
  position: absolute;
  z-index: 1000;
  background-color: #FFFFFF;
  padding: 6px;
  border:1px solid #000000;
  border-radius: 5px;
  box-shadow: 5px 5px 5px #888;
}

#hmlightbox /* image lightbox */
{
  border: none;
  padding: 8px;
  background: #FFF;
  font-size: 110%;
  font-weight: bold;
  color: #777;
  box-shadow: 5px 5px 5px #888;
}

a.dropdown-toggle /* dropdown toggle caption */
{
  cursor: pointer;
}
a.inline-toggle /* inline toggle caption */
{
  cursor: pointer;
}
img.dropdown-toggle-icon /* toggle icon */
{
  cursor: pointer;
}
/* CSS for responsive image maps */

.hmImageMap a.hmHotspotRect { display:block; position:absolute; border: 1px solid transparent; background:#000; opacity:0.01 }
.hmImageMap a.hmHotspotEllipse { display:block; position:absolute; border-radius:50%; border: 1px solid transparent; background:#000; opacity:0.01 }
.hmImageMap:hover a.hmHotspotRect {opacity:0.3 }
.hmImageMap:hover a.hmHotspotEllipse { opacity:0.3 }
a.hmHotspotRect:hover { border:1px solid #000; background:#FFF; opacity:0.3 }
a.hmHotspotEllipse:hover { border:1px solid #000; background:#FFF; opacity:0.3 }
